Skip to main content
POST
/
core.v1.ResourceService
/
UpdateResourceTlsConfiguration
cURL
curl -X POST "https://api.joinformal.com/core.v1.ResourceService/UpdateResourceTlsConfiguration" \
  -H "X-API-KEY: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "example": "value"
  }'
fetch("https://api.joinformal.com/core.v1.ResourceService/UpdateResourceTlsConfiguration", {
method: "POST",
headers: {
"X-API-KEY": "YOUR_API_KEY",
"Content-Type": "application/json"
},
body: JSON.stringify({
example: "value"
})
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error(error));
import requests

url = "https://api.joinformal.com/core.v1.ResourceService/UpdateResourceTlsConfiguration"
headers = {
"X-API-KEY": "YOUR_API_KEY",
"Content-Type": "application/json"
}
data = {
"example": "value"
}

response = requests.post(url, headers=headers, json=data)
print(response.json())
package main

import (
"bytes"
"encoding/json"
"fmt"
"io"
"net/http"
)

func main() {
url := "https://api.joinformal.com/core.v1.ResourceService/UpdateResourceTlsConfiguration"

body := map[string]string{
"example": "value",
}

jsonData, _ := json.Marshal(body)

req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("X-API-KEY", "YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")

client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()

responseBody, _ := io.ReadAll(resp.Body)
fmt.Println(string(responseBody))
}


{
  "resourceTlsConfiguration": {
    "id": "<string>",
    "resourceId": "<string>",
    "tlsCaTruststore": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "tlsClientCert": "<string>",
    "tlsClientKey": "<string>",
    "tlsClientCertIsEnv": true,
    "tlsClientKeyIsEnv": true
  }
}
{
"code": "invalid_request",
"message": "Invalid request parameters",
"details": {}
}
{
"code": "unauthorized",
"message": "Authentication required"
}
{
"code": "forbidden",
"message": "Insufficient permissions to perform this action"
}
{
"code": "not_found",
"message": "Resource not found"
}
{
"code": "internal_error",
"message": "An internal error occurred"
}

Authorizations

X-API-KEY
string
header
required

API key authentication. Get your API key from the Formal console.

Body

application/json
id
string
Minimum string length: 1
tlsConfig
enum<string>
Available options:
disable,
insecure-skip-verify,
insecure-verify-ca-only,
verify-full
tlsMinVersion
enum<string>
Available options:
,
TLSv1.2,
TLSv1.3
tlsCaTruststore
string
tlsClientCert
string | null
tlsClientKey
string | null
tlsClientCertIsEnv
boolean | null
tlsClientKeyIsEnv
boolean | null

Response

Success

resourceTlsConfiguration
resource_tls_configuration · object